﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.BusinessLogicContracts
{
    public interface IMessageLogic
    {
        List<MessageViewModel>? ReadList(MessageSearchModel? model);
        MessageViewModel? ReadElement(MessageSearchModel model);
        bool Create(MessageBindingModel model);
        bool Update(MessageBindingModel model);
        bool Delete(MessageBindingModel model);
        public string TestInsertList(int num, List<UserViewModel> users, List<TopicViewModel> topics);
        string TestReadList(int num);
        string TestJoinReadList(int num);
    }
}
