﻿using ForumDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.ViewModels
{
    public class UserViewModel : IUserModel
    {
        [DisplayName("Имя")]
        public string Username { get; set; } = string.Empty;

        [DisplayName("Почта")]
        public string Email { get; set; } = string.Empty;

        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;

        [DisplayName("Дата регистрации")]
        public DateTime RegistrationDate { get; set; }

        public int Id { get; set; }

        public int RoleId { get; set; }

        [DisplayName("Роль")]
        public string RoleName { get; set; } = string.Empty;
    }
}
