﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.BusinessLogicContracts
{
    public interface ICategoryLogic
    {
        List<CategoryViewModel>? ReadList(CategorySearchModel? model);
        CategoryViewModel? ReadElement(CategorySearchModel model);
        bool Create(CategoryBindingModel model);
        bool Update(CategoryBindingModel model);
        bool Delete(CategoryBindingModel model);
    }
}
