﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.BusinessLogicContracts
{
    public interface ITopicLogic
    {
        List<TopicViewModel>? ReadList(TopicSearchModel? model);
        TopicViewModel? ReadElement(TopicSearchModel model);
        bool Create(TopicBindingModel model);
        bool Update(TopicBindingModel model);
        bool Delete(TopicBindingModel model);
    }
}
