﻿using ForumContracts.BindingModels;
using ForumContracts.SearchModels;
using ForumContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.StoragesContracts
{
    public interface ITopicStorage
    {
        List<TopicViewModel> GetFullList();
        List<TopicViewModel> GetFilteredList(TopicSearchModel model);
        TopicViewModel? GetElement(TopicSearchModel model);
        TopicViewModel? Insert(TopicBindingModel model);
        TopicViewModel? Update(TopicBindingModel model);
        TopicViewModel? Delete(TopicBindingModel model);
    }
}
