﻿using ForumDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForumContracts.ViewModels
{
    public class MessageViewModel : IMessageModel
    {
        public int UserId { get; set; }

        [DisplayName("Пользователь")]
        public string Username { get; set; } = string.Empty;

        public int TopicId { get; set; }

        [DisplayName("Название темы")]
        public string TopicName { get; set; } = string.Empty;

        [DisplayName("Текст сообщения")]
        public string Text { get; set; } = string.Empty;

        [DisplayName("Дата написания сообщения")]
        public DateTime Date { get; set; }

        public int Id { get; set; }
    }
}
